- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# AEffect Struct Reference

`#include <aeffect.h>`

List of all members.

## Public Attributes
VstInt32 | magic
| must be kEffectMagic ('VstP')
AEffectDispatcherProc | dispatcher
AEffectProcessProc | process
AEffectSetParameterProc | setParameter
AEffectGetParameterProc | getParameter
VstInt32 | numPrograms
| number of programs
VstInt32 | numParams
| all programs are assumed to have numParams parameters
VstInt32 | numInputs
| number of audio inputs
VstInt32 | numOutputs
| number of audio outputs
VstInt32 | flags
VstIntPtr | resvd1
| reserved for Host, must be 0
VstIntPtr | resvd2
| reserved for Host, must be 0
VstInt32 | initialDelay
| for algorithms which need input in the first place (Group delay or latency in Samples). This value should be initialized in a resume state.
VstInt32 | realQualities
VstInt32 | offQualities
float | ioRatio
void * | object
| AudioEffect class pointer
void * | user
| user-defined pointer
VstInt32 | uniqueID
| registered unique identifier (register it at Steinberg 3rd party support Web). This is used to identify a plug-in during save+load of preset and project.
VstInt32 | version
| plug-in version (example 1100 for version 1.1.0.0)
AEffectProcessProc | processReplacing
AEffectProcessDoubleProc | processDoubleReplacing
char | future [56]
| reserved for future use (please zero)

## Detailed Description

Basic VST Effect "C" Interface.

## Member Data Documentation

AEffectDispatcherProc AEffect::dispatcher

Host to Plug-in dispatcher

See also:
  AudioEffect::dispatcher

VstInt32 AEffect::flags

See also:
  VstAEffectFlags

char AEffect::future[56]

reserved for future use (please zero)

AEffectGetParameterProc AEffect::getParameter

Returns current value of automatable parameter

See also:
  AudioEffect::getParameter

VstInt32 AEffect::initialDelay

for algorithms which need input in the first place (Group delay or latency in Samples). This value should be initialized in a resume state.

float AEffect::ioRatio

Deprecated:
  unused member

VstInt32 AEffect::magic

must be kEffectMagic ('VstP')

VstInt32 AEffect::numInputs

number of audio inputs

VstInt32 AEffect::numOutputs

number of audio outputs

VstInt32 AEffect::numParams

all programs are assumed to have numParams parameters

VstInt32 AEffect::numPrograms

number of programs

void* AEffect::object

AudioEffect class pointer

VstInt32 AEffect::offQualities

Deprecated:
  unused member

AEffectProcessProc AEffect::process

Deprecated:
  Accumulating process mode is deprecated in VST 2.4! Use AEffect::processReplacing instead!

AEffectProcessDoubleProc AEffect::processDoubleReplacing

Process double-precision audio samples in replacing mode

See also:
  AudioEffect::processDoubleReplacing

AEffectProcessProc AEffect::processReplacing

Process audio samples in replacing mode

See also:
  AudioEffect::processReplacing

VstInt32 AEffect::realQualities

Deprecated:
  unused member

VstIntPtr AEffect::resvd1

reserved for Host, must be 0

VstIntPtr AEffect::resvd2

reserved for Host, must be 0

AEffectSetParameterProc AEffect::setParameter

Set new value of automatable parameter

See also:
  AudioEffect::setParameter

VstInt32 AEffect::uniqueID

registered unique identifier (register it at Steinberg 3rd party support Web). This is used to identify a plug-in during save+load of preset and project.

void* AEffect::user

user-defined pointer

VstInt32 AEffect::version

plug-in version (example 1100 for version 1.1.0.0)

The documentation for this struct was generated from the following file:

- aeffect.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.